import com.beust.kobalt.*
import com.beust.kobalt.plugin.android.android
import com.beust.kobalt.plugin.java.javaProject
import com.beust.kobalt.plugin.packaging.assemble
import com.beust.kobalt.plugin.kotlin.*

val repos = repos("https://dl.bintray.com/yoavst/maven/")

val p = javaProject {
    name = "Mashov"
    group = "com.yoavst.mashov"
    version = "0.1"

    sourceDirectories {
        path("app/src/main/java")
        path("app/src/main/res")
    }

    sourceDirectoriesTest {
        path("app/src/test/java")
        path("app/src/test/resources")
    }

    dependencies {
        compile("com.android.support:appcompat-v7:aar:23.1.0",
                "com.android.support:support-v4:aar:23.1.0",
                "com.yoavst.mashov:mashov-api:0.1")
    }

    android {
        compileSdkVersion = "21"
        applicationId = "com.yoavst.mashov"
        buildToolsVersion = "23.0.0"
    }

    assemble {
        jar {
        }
    }
}